---
title: Micro-controller Startup
date: 2021-05-18T11:20:39+05:30
weight: 6
slug: startup
chapter: Introduction
expertise: Expert
---

Let us discuss what happens as soon as micro-controller is powered up.

## Memory model of micro-controller

content...

## Stack Pointer (SP)

content...

## Interrupt Vector Table (IVT)

asdfas

## Role of Linker Script

asdfas

## Startup up code

123424adsf

## Data, Stack & Heap

adsfas
